# cut_up.hxx File Reference

Cut-up algorithm. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
bool | is_cut_up (const Element< A, AI > &a)
| Check if labels are series with one element.
template<typename A , typename AI >
void | cut_up (const Element< A, AI > &a, Element< A, AI > &res)
| Transform an automaton labeled with series to an automaton where all labels are series with one and only one element.
template<typename A , typename AI >
Element< A, AI > | cut_up (const Element< A, AI > &a)
| Transform an automaton labeled with series to an automaton where all labels are series with one and only one element.
template<typename A , typename AI >
void | cut_up_here (Element< A, AI > &a)
| Transform an automaton labeled with series to an automaton where all labels are series with one and only one element.

## Detailed Description

Cut-up algorithm.

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file cut_up.hxx.